#include "tester.h"
#include "ui_tester.h"

Tester::Tester(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::Tester)
{
    ui->setupUi(this);

    loginWidget = new LoginWidget();
    testSelectionWidget = new TestSelection();

    connect(loginWidget, &LoginWidget::onClosed, this, &Tester::receiveNameAndPassword);
    connect(loginWidget, &LoginWidget::onClosed, testSelectionWidget, &TestSelection::_sh);
    connect(testSelectionWidget, &TestSelection::onClosed, this, &Tester::receiveTestEntity);
    this->show();
    loginWidget->show();
}

Tester::~Tester()
{
    delete ui;
}

void Tester::receiveNameAndPassword()
{
    this->currentName = loginWidget->getName();
    this->currentPassword = loginWidget->getPassword();

    this->ui->textBrowser->setText(this->currentName + this->currentPassword);
}

void Tester::receiveTestEntity()
{
    this->currentTest = this->testSelectionWidget->getTestEntity();

    this->ui->textBrowser->setText(QString::number(this->currentTest->getId()) + " " + this->currentTest->getName());
}
